/*
		TestApp.h

		
		Header file for TestApp.m

		Created by Ian Howle on 2/19/2005.
		Public Domain.
*/




#import "GameSprite.h"
#import "MyView.h"
#import "Animation.h"



@interface TestApp : NSObject
{
    IBOutlet NSWindow			*TestAppWin;			// Reference to the window where the sprite's view is on.
	IBOutlet MyView				*MyViewObj;				// Reference to the view where all the drawing will take place.
	IBOutlet NSButton			*shrinkExpandButton;
}



// Methods...

- (IBAction)startStopSprites:(id)sender;
- (IBAction)visibility:(id)sender;
- (IBAction)fading:(id)sender;
- (IBAction)opacityLevel:(id)sender;
- (IBAction)strobeRate:(id)sender;
- (IBAction)scaleByDimensions:(id)sender;
- (IBAction)scaleByPercentage:(id)sender;
- (IBAction)collisionDetection:(id)sender;
- (IBAction)shear:(id)sender;
- (IBAction)shrinkExpand:(id)sender;
- (IBAction)setShadowOffset:(id)sender;
- (IBAction)setBlur:(id)sender;



@end
