/*
		HWNSImage.m
 
 
		This category extends the functionality of NSImage.
 
		Created by Ian Howle on 1/28/2007.
		Public Domain.
*/




#import "HWNSImage.h"



@implementation NSImage (HWNSImage)



/*****
		rectangle = bounds

		This method returns this image's bounds rectangle.
*****/

- (NSRect)bounds
{
	NSSize		imageSize = [self size];

	return	NSMakeRect( 0.0, 0.0, imageSize.width, imageSize.height );
}





/*****
		width = width
		
		This method returns the width of this image.
*****/

- (float)width
{
	return	[self size].width;
}





/*****
		height = height
		
		This method returns the height of this image.
*****/

- (float)height
{
	return	[self size].height;
}



@end
